# Interface MKeySequence

All Known Subinterfaces:
  `MKeyBinding`

All Known Implementing Classes:
  `KeyBindingImpl`

public interface MKeySequence
A representation of the model object 'Key Sequence'.

This represents the sequence of characters in a KeyBinding whose detection will fire the associated Command.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Key Sequence`

## Method Summary

Modifier and Type
Method
Description
`String`
`getKeySequence()`
Returns the value of the 'Key Sequence' attribute.
`void`
`setKeySequence(String value)`
Sets the value of the '`Key Sequence`' attribute.

## Method Details

### getKeySequence

String getKeySequence()
Returns the value of the 'Key Sequence' attribute.

This is a formatted string used by the key binding infrastructure to determine the exact key sequence for a KeyBinding.

Returns:
  the value of the 'Key Sequence' attribute.
See Also:
  - `setKeySequence(String)`

### setKeySequence

void setKeySequence(String value)
Sets the value of the '`Key Sequence`' attribute.

Parameters:
  `value` - the new value of the 'Key Sequence' attribute.
See Also:
  - `getKeySequence()`